'use strict';

function showTopMessage(type, message) {
    let alertType;
    let messageHeader;
    switch(type){
        case "success":
            alertType = "alert alert-success";
            messageHeader = "Well done!";
            break;
        case "info":
            alertType = "alert alert-info";
            messageHeader = "Okey!";
            break;
        case "warn":
            alertType = "alert alert-warning";
            messageHeader = "Warning!";
            break;
        case "danger":
        case "error":case "err":
            alertType = "alert alert-danger";
            messageHeader = "Error!";
            break;
        default:
            alertType = "alert alert-info";
            messageHeader = "";
            break;
    }

    clearTopMessage();

    $('body').prepend(
        $('<div/>',{
            "class":alertType,
            "role":"alert"
        }).html("<strong>" + messageHeader + "</strong><p>" + message + "</p>")
    );
}

function clearTopMessage() {
    $('body').children().remove('[class*=alert]');
}

